Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 585888 - mileading traceback in fedora-packager-setup
mileading traceback in fedora-packager-setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 06:45 EDT by Jan F. Chadima
Modified: 2012-08-16 13:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan F. Chadima 2010-04-26 06:45:52 EDT
Description of problem:

the traceback is output when the bad password is entered

[jfch@hagar devel]$ fedora-packager-setup 
Setting up Fedora packager environment
Certificate has expired, getting a new one
FAS Password: 
Traceback (most recent call last):
  File "/usr/bin/fedora-packager-setup", line 140, in <module>
    main()
  File "/usr/bin/fedora-packager-setup", line 117, in main
    fedora_cert.create_user_cert(username)
  File "/usr/lib/python2.6/site-packages/fedora_cert/__init__.py", line 96, in create_user_cert
    cert = fas.user_gencert()
  File "/usr/lib/python2.6/site-packages/fedora/client/fas2.py", line 538, in user_gencert
    request = self.send_request('user/dogencert', auth=True)
  File "/usr/lib/python2.6/site-packages/fedora/client/baseclient.py", line 316, in send_request
    req_params = req_params, auth_params = auth_params)
  File "/usr/lib/python2.6/site-packages/fedora/client/proxyclient.py", line 285, in send_request
    raise AuthError(_('Unable to log into server.  Invalid'
fedora.client.AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password


Version-Release number of selected component (if applicable):
fedora-packager-0.4.2-1.fc14.noarch

How reproducible:
enter wrong password

Steps to Reproduce:
1.run fedora-packager-setup
2.enter wrong password
3.
  
Actual results:
traceback

Expected results:
human readable info aka "wrong password" or similar

Additional info:
Comment 1 Bug Zapper 2010-07-30 07:28:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 13:59:36 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.